org.jbpm.runtime.manager.impl.deploy

## Class DeploymentDescriptorImpl

- java.lang.Object
- - org.jbpm.runtime.manager.impl.deploy.DeploymentDescriptorImpl

- All Implemented Interfaces:
    Serializable, org.kie.internal.runtime.conf.DeploymentDescriptor

      public class DeploymentDescriptorImpl
      extends Object
      implements org.kie.internal.runtime.conf.DeploymentDescriptor, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.kie.internal.runtime.conf.DeploymentDescriptor

      `META_INF_LOCATION, TYPE_ALL, TYPE_EXECUTE, TYPE_VIEW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentDescriptorImpl()`
    `DeploymentDescriptorImpl(String defaultPU)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Set<org.kie.internal.runtime.conf.NamedObjectModel>` | `cleanNamedSet(Set<org.kie.internal.runtime.conf.NamedObjectModel> input)`
    `protected Set<org.kie.internal.runtime.conf.ObjectModel>` | `cleanSet(Set<org.kie.internal.runtime.conf.ObjectModel> input)`
    `org.kie.internal.runtime.conf.DeploymentDescriptor` | `clearClone()`
    `org.kie.internal.runtime.conf.AuditMode` | `getAuditMode()`
    `String` | `getAuditPersistenceUnit()`
    `org.kie.internal.runtime.conf.DeploymentDescriptorBuilder` | `getBuilder()`
    `List<String>` | `getClasses()`
    `List<org.kie.internal.runtime.conf.NamedObjectModel>` | `getConfiguration()`
    `List<org.kie.internal.runtime.conf.NamedObjectModel>` | `getEnvironmentEntries()`
    `List<org.kie.internal.runtime.conf.ObjectModel>` | `getEventListeners()`
    `List<org.kie.internal.runtime.conf.NamedObjectModel>` | `getGlobals()`
    `Boolean` | `getLimitSerializationClasses()`
    `List<org.kie.internal.runtime.conf.ObjectModel>` | `getMarshallingStrategies()`
    `org.kie.internal.runtime.conf.PersistenceMode` | `getPersistenceMode()`
    `String` | `getPersistenceUnit()`
    `List<String>` | `getRequiredRoles()`
    `List<String>` | `getRequiredRoles(String type)`
    `org.kie.internal.runtime.conf.RuntimeStrategy` | `getRuntimeStrategy()`
    `List<org.kie.internal.runtime.conf.ObjectModel>` | `getTaskEventListeners()`
    `List<org.kie.internal.runtime.conf.NamedObjectModel>` | `getWorkItemHandlers()`
    `boolean` | `isEmpty()`
    `protected void` | `mapRequiredRoles()`
    `protected void` | `removeTransient(Set<?> input)`
    `void` | `setAuditMode(org.kie.internal.runtime.conf.AuditMode auditMode)`
    `void` | `setAuditPersistenceUnit(String auditPersistenceUnit)`
    `void` | `setClasses(List<String> classes)`
    `void` | `setConfiguration(List<org.kie.internal.runtime.conf.NamedObjectModel> configuration)`
    `void` | `setEnvironmentEntries(List<org.kie.internal.runtime.conf.NamedObjectModel> environmentEntires)`
    `void` | `setEventListeners(List<org.kie.internal.runtime.conf.ObjectModel> eventListeners)`
    `void` | `setGlobals(List<org.kie.internal.runtime.conf.NamedObjectModel> globals)`
    `void` | `setLimitSerializationClasses(Boolean limitSerializationClasses)`
    `void` | `setMarshallingStrategies(List<org.kie.internal.runtime.conf.ObjectModel> marshallingStrategies)`
    `void` | `setPersistenceMode(org.kie.internal.runtime.conf.PersistenceMode persistenceMode)`
    `void` | `setPersistenceUnit(String persistenceUnit)`
    `void` | `setRequiredRoles(List<String> requiredRoles)`
    `void` | `setRuntimeStrategy(org.kie.internal.runtime.conf.RuntimeStrategy runtimeStrategy)`
    `void` | `setTaskEventListeners(List<org.kie.internal.runtime.conf.ObjectModel> taskEventListeners)`
    `void` | `setWorkItemHandlers(List<org.kie.internal.runtime.conf.NamedObjectModel> workItemHandlers)`
    `String` | `toXml()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentDescriptorImpl

          public DeploymentDescriptorImpl()

    - #### DeploymentDescriptorImpl

          public DeploymentDescriptorImpl(String defaultPU)

  - ### Method Detail

    - #### mapRequiredRoles

          protected void mapRequiredRoles()

    - #### getPersistenceUnit

          public String getPersistenceUnit()

      Specified by:
        `getPersistenceUnit` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getAuditPersistenceUnit

          public String getAuditPersistenceUnit()

      Specified by:
        `getAuditPersistenceUnit` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getAuditMode

          public org.kie.internal.runtime.conf.AuditMode getAuditMode()

      Specified by:
        `getAuditMode` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getPersistenceMode

          public org.kie.internal.runtime.conf.PersistenceMode getPersistenceMode()

      Specified by:
        `getPersistenceMode` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getRuntimeStrategy

          public org.kie.internal.runtime.conf.RuntimeStrategy getRuntimeStrategy()

      Specified by:
        `getRuntimeStrategy` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getMarshallingStrategies

          public List<org.kie.internal.runtime.conf.ObjectModel> getMarshallingStrategies()

      Specified by:
        `getMarshallingStrategies` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getEventListeners

          public List<org.kie.internal.runtime.conf.ObjectModel> getEventListeners()

      Specified by:
        `getEventListeners` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getGlobals

          public List<org.kie.internal.runtime.conf.NamedObjectModel> getGlobals()

      Specified by:
        `getGlobals` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getWorkItemHandlers

          public List<org.kie.internal.runtime.conf.NamedObjectModel> getWorkItemHandlers()

      Specified by:
        `getWorkItemHandlers` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getTaskEventListeners

          public List<org.kie.internal.runtime.conf.ObjectModel> getTaskEventListeners()

      Specified by:
        `getTaskEventListeners` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getEnvironmentEntries

          public List<org.kie.internal.runtime.conf.NamedObjectModel> getEnvironmentEntries()

      Specified by:
        `getEnvironmentEntries` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getConfiguration

          public List<org.kie.internal.runtime.conf.NamedObjectModel> getConfiguration()

      Specified by:
        `getConfiguration` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getRequiredRoles

          public List<String> getRequiredRoles()

      Specified by:
        `getRequiredRoles` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getRequiredRoles

          public List<String> getRequiredRoles(String type)

      Specified by:
        `getRequiredRoles` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### getClasses

          public List<String> getClasses()

      Specified by:
        `getClasses` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### setPersistenceUnit

          public void setPersistenceUnit(String persistenceUnit)

    - #### setAuditPersistenceUnit

          public void setAuditPersistenceUnit(String auditPersistenceUnit)

    - #### setAuditMode

          public void setAuditMode(org.kie.internal.runtime.conf.AuditMode auditMode)

    - #### setPersistenceMode

          public void setPersistenceMode(org.kie.internal.runtime.conf.PersistenceMode persistenceMode)

    - #### setRuntimeStrategy

          public void setRuntimeStrategy(org.kie.internal.runtime.conf.RuntimeStrategy runtimeStrategy)

    - #### setMarshallingStrategies

          public void setMarshallingStrategies(List<org.kie.internal.runtime.conf.ObjectModel> marshallingStrategies)

    - #### setEventListeners

          public void setEventListeners(List<org.kie.internal.runtime.conf.ObjectModel> eventListeners)

    - #### setTaskEventListeners

          public void setTaskEventListeners(List<org.kie.internal.runtime.conf.ObjectModel> taskEventListeners)

    - #### setGlobals

          public void setGlobals(List<org.kie.internal.runtime.conf.NamedObjectModel> globals)

    - #### setWorkItemHandlers

          public void setWorkItemHandlers(List<org.kie.internal.runtime.conf.NamedObjectModel> workItemHandlers)

    - #### setEnvironmentEntries

          public void setEnvironmentEntries(List<org.kie.internal.runtime.conf.NamedObjectModel> environmentEntires)

    - #### setConfiguration

          public void setConfiguration(List<org.kie.internal.runtime.conf.NamedObjectModel> configuration)

    - #### setRequiredRoles

          public void setRequiredRoles(List<String> requiredRoles)

    - #### setClasses

          public void setClasses(List<String> classes)

    - #### getLimitSerializationClasses

          public Boolean getLimitSerializationClasses()

      Specified by:
        `getLimitSerializationClasses` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### setLimitSerializationClasses

          public void setLimitSerializationClasses(Boolean limitSerializationClasses)

    - #### cleanNamedSet

          protected Set<org.kie.internal.runtime.conf.NamedObjectModel> cleanNamedSet(Set<org.kie.internal.runtime.conf.NamedObjectModel> input)

    - #### cleanSet

          protected Set<org.kie.internal.runtime.conf.ObjectModel> cleanSet(Set<org.kie.internal.runtime.conf.ObjectModel> input)

    - #### removeTransient

          protected void removeTransient(Set<?> input)

    - #### clearClone

          public org.kie.internal.runtime.conf.DeploymentDescriptor clearClone()
                                                                        throws CloneNotSupportedException

      Throws:
        `CloneNotSupportedException`

    - #### isEmpty

          public boolean isEmpty()

    - #### getBuilder

          public org.kie.internal.runtime.conf.DeploymentDescriptorBuilder getBuilder()

      Specified by:
        `getBuilder` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

    - #### toXml

          public String toXml()

      Specified by:
        `toXml` in interface `org.kie.internal.runtime.conf.DeploymentDescriptor`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.